org.apache.ignite.internal.client

## Interface GridClientPredicate<E1>

Type Parameters:
  `E1` - Type of the free variable, i.e. the element the predicate is called on.

    public interface GridClientPredicate<E1>

Defines predicate construct. Predicate like closure is a first-class function that is defined with (or closed over) its free variables that are bound to the closure scope at execution.

## Thread Safety

Note that this interface does not impose or assume any specific thread-safety by its implementations. Each implementation can elect what type of thread-safety it provides, if any.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `apply(E1 e)` Predicate body.

### Method Detail

#### apply

    boolean apply(E1 e)

Predicate body.

Parameters:
  `e` - Bound free variable, i.e. the element the closure is called or closed on.
Returns:
  Return value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021